Catmandu::Fix::set_hash(3pm)

NAME
Catmandu::Fix::set_hash - add or change the value of a HASH key or ARRAY index to a hash

DESCRIPTION
Contrary to "add_field", this will not create the intermediate structures if they are missing.

SYNOPSIS
   # Change the value of 'foo' to an empty hash
   set_hash(foo)
   # Or a hash with initial contents
   set_hash(a: b, c: d)

SEE ALSO
Catmandu::Fix